Bug 1300630 - epel7 jctools FTBFS on aarch64
Summary: epel7 jctools FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.2
Hardware: aarch64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Andrew Haley
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 1297579 1313485 1277314
TreeView+ depends on / blocked
 
Reported: 2016-01-21 10:10 UTC by Yaakov Selkowitz
Modified: 2016-11-03 22:55 UTC (History)
5 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.72-1.b15.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 22:55:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
error report (43.93 KB, text/plain)
2016-01-21 10:10 UTC, Yaakov Selkowitz
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2139 normal SHIPPED_LIVE java-1.8.0-openjdk bug fix and enhancement update 2016-11-03 13:12:04 UTC

Description Yaakov Selkowitz 2016-01-21 10:10:58 UTC
Created attachment 1116890 [details]
error report

Attempting to build epel7 jctools on RHELSA 7.2 fails per the attached error report file.

As this is a noarch package and it does build on x86_64, this would appear to be a bug in the aarch64 port of java-1.8.0-openjdk.  Note that this also fails on Fedora aarch64, for which I will file a separate bug.

Comment 1 jiri vanek 2016-01-26 07:20:19 UTC
Hi Andrew, this looks new after CPU.

Comment 3 Andrew Haley 2016-01-26 10:46:39 UTC
I know what this bug is.

-XX:-TieredCompilation is a temporary workaround.

Comment 15 errata-xmlrpc 2016-11-03 22:55:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2139.html


Note You need to log in before you can comment on or make changes to this bug.